Fixes to setup_env.sh and 'Getting Started' instructions.

looper
Ben Niemann 7 years ago
parent 9dea545a28
commit 35aac9b88b

4
.gitignore vendored

@ -0,0 +1,4 @@
__pycache__/
ENV/
*~
data/symbols/*.stripped.svg

@ -1,16 +1,19 @@
noisicaä
========
**Important note**: This is project is in pre-APLHA state, do not expect it to be usable in any form or shape.
**Important note**: This is project is in pre-APLHA state, do not expect it to
be usable in any form or shape.
* It contains bugs.
* It does not do a lot of useful things.
* There is no documentation.
* Even getting it to run is difficult and undocumented.
* And most importantly: the save format is not finalized and will change in incompatible ways, i.e. you will not be able to open your work from older versions.
* And most importantly: the save format is not finalized and will change in
incompatible ways, i.e. you will not be able to open your work from older
versions.
What's this?
What's This?
------------
A simple music editor with a focus on classical musical notation.
@ -18,3 +21,32 @@ A simple music editor with a focus on classical musical notation.
Follow the development at http://noisicaa.blogspot.com/
License: GPL2 (see file COPYING).
Requirements
------------
This project is currenly only designed to run on Linux desktops. No effort has
yet been made to make it run on anything else than the latest Ubuntu release
(15.10 at the time of writing).
Getting Started
---------------
These instructions are not targetted at end users. It is assumed that you're
moderately experienced with software development on Linux.
For the first time setup, run
bin/setup_env.sh
It will probably fail and ask you to install some additional packages and
download some files into `libs/` (be careful to use the exact versions that it's
asking for). Try again, until it is happy and starts compiling stuff.
Then (and everytime you open a new `bash` to work with it) activate the
virtual environment using
. ENV/bin/activate
And finally run
bin/noisicaä --dev-mode

@ -1,6 +1,6 @@
#!/bin/bash
DEST=$(readlink -f "$(dirname "$0")/ENV")
DEST=$(readlink -f "$(dirname "$0")/../ENV")
BUILDDIR=/tmp/build
LIBSDIR=$(readlink -f "$(dirname "$0")/../libs")
@ -8,8 +8,8 @@ LIBSDIR=$(readlink -f "$(dirname "$0")/../libs")
#LADSPA_DEPS="cython3 ladspa-sdk"
PYVERSION=3.4
SIPVERSION=4.16.9
PYQTVERSION=5.5
SIPVERSION=4.17
PYQTVERSION=5.5.1
PACKAGES="python$PYVERSION python$PYVERSION-venv python$PYVERSION-dev qt5-qmake qtbase5-dev sip-dev libxml2-dev libxslt1-dev portaudio19-dev"
@ -55,6 +55,19 @@ function main() {
exit 1
fi
if [ ! -f $LIBSDIR/sip-$SIPVERSION.tar.gz ]; then
echo >&2 "Missing $LIBSDIR/sip-$SIPVERSION.tar.gz"
echo >&2 "Please download sip-$SIPVERSION.tar.gz from http://sourceforge.net/projects/pyqt/files/sip/"
exit 1
fi
if [ ! -f $LIBSDIR/PyQt-gpl-$PYQTVERSION.tar.gz ]; then
echo >&2 "Missing $LIBSDIR/PyQt-gpl-$PYQTVERSION.tar.gz"
echo >&2 "Please download $LIBSDIR/PyQt-gpl-$PYQTVERSION.tar.gz from http://sourceforge.net/projects/pyqt/files/PyQt5/"
exit 1
fi
set -ex
############################################################################

Loading…
Cancel
Save